{% extends "layout.html" %}
{% block title %}{{ this.title }}{% endblock %}
{% block body %}
  {% set pages = site.query('/doc').include_undiscoverable(true).all() %}

    <h1>{{ this.title }}</h1>
     <nav>
      <ul>
        {% for page in pages %}
        <li><a href="#{{ page._id }}">{{ page.title }}</a></li>
        {% endfor %}
      </ul>
    </nav>

  {% for page in pages %}
    <div class="section" id="{{ page._id }}">
      <h1>{{ page.title }}</h1>
      {{ page.body }}
    </div>
  {% endfor %}
  {% set arr = bag("testArray") %}
  <div>
      <ul>
  {% for val in arr['array']%}
      <li>

          <a href="#"> {{val["name"]}}  </a>
          {{val["value"]}}

      </li>

  {% endfor %}
      </ul>
  </div>
{% endblock %}